document.addEventListener('DOMContentLoaded', () => {
    // Smooth scrolling for anchor links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Navbar background change on scroll
    const nav = document.querySelector('nav');
    window.addEventListener('scroll', () => {
        if (window.scrollY > 50) {
            nav.style.background = 'rgba(26,26,26,0.95)';
        } else {
            nav.style.background = 'rgba(26,26,26,0.9)';
        }
    });

    // Animation for tour dates
    const tourDates = document.querySelectorAll('.tour-date');
    const observerOptions = {
        threshold: 0.5,
        rootMargin: '0px'
    };

    const observer = new IntersectionObserver((entries) => {
        entries.forEach(entry => {
            if (entry.isIntersecting) {
                entry.target.style.opacity = '1';
                entry.target.style.transform = 'translateY(0)';
            }
        });
    }, observerOptions);

    tourDates.forEach(date => {
        date.style.opacity = '0';
        date.style.transform = 'translateY(20px)';
        date.style.transition = 'all 0.6s ease-out';
        observer.observe(date);
    });
});